This is a common question at SSIS forum, so I decided to post an answer here to save myself from re-typing it again and again :)

Symptoms: you run a package and get an error either "product level is insufficient ..." or "The task ... cannot run on this edition of Integration Services. It requires a higher level edition."

The error tells you that you have not installed SSIS on the machine where the package is running - probably you've only installed SQL Server and Workstation Components. Another possible reason is that the package uses components that require higher edition of SQL Server - e.g. Fuzzy and Data Mining transforms require Enterprise or Developer edition.

If you have installed Workstation Components, you can create, edit and debug packages in Business Intelligence Development Studio (BIDS). You can also run Import/Export Data Wizard and execute the resulting package inside the wizard. Other uses of SSIS (i.e. running with DTEXEC, inside Agent or custom tools) require full SSIS installation.

So to correct the problem, you either need to install SSIS on the production machine where package runs, or move the package execution to the machine where the full SSIS version is already installed.

If you decided to take the first route, make sure you have an appropriate license - installing SSIS requires server license, SSIS is not a "client tool" as DTS included with previous SQL Server versions was. Run the SQL Server setup from Servers folder on the original media (setup from Add/Remove programs only allows removing features). Select the SSIS checkbox on component selection page and finish the setup:

SQL Setup: check SSIS

Apply the latest Service Pack after the installation is finished.

 

If you still have this problem, please review the

Frequently asked questions:

Q: How do I check if I've installed SSIS?
A: One of the features installed with full SSIS, but not included in the Workstation Components setup is SSIS Service. So the simple way to check if you've installed SSIS is to check if this service is present.
Open Computer Management or SQL Server Configuration Management, open SQL Server 2005 Services node. If you've installed SSIS, there should be a service called SQL Server Integration Services. If this service is missing, SSIS is not installed on this machine.

Q: But I can run the package inside Business Intelligence Development Studio - this means I have the SSIS installed, right?
A: Not really. When you install Workstation Components (including BIDS) you get a subset of SSIS that allows you to design and debug packages in BIDS. To run the package standalone (DTEXEC, as Agent Job, etc), you need the full SSIS installation.

Q: I've installed SQL Server Enterprise/Developer edition, including SSIS. Why I'm still getting this error?
A: Most likely, you try to run the package on a different machine (e.g. SSIS is installed on a server, and you try to run the package on a workstation, usually using SSMS). You either need to install SSIS on the second (workstation) machine as well, or run the package on the server machine. To understand where the package is executed, see my earlier post.

Q: I run Import/Export Data Wizard and select Execute the Package Immediately option, but execution fails with error "product level is insufficient...". What should I do?
A: Install Service Pack 1 or later (update: SP2 is available). The bug with execution in Import/Export Data Wizard has been fixed in SP1.

The error is also discussed in Books Online:
http://msdn2.microsoft.com/en-us/library/aa337371.aspx